<?php
//##############################################################################
//## Simples Kontakt Formular                                                 ##
//## Thomas Ehrhardt - www.powie.de                                           ##
//## Version 1.01                                                             ##
//##############################################################################

//## Einstellung: ##############################################################
$mailan = 'mich@meineaddresse.de';



//## Funktionen ################################################################
function checkEmail( $email ){
	//liefert die maol adresse oder false wenn es keine ist
	return filter_var( $email, FILTER_VALIDATE_EMAIL );
}

//## Start #####################################################################
session_start();

//## Variablen aufbereiten #####################################################
$kname 		= trim($_POST['kname']);
$ktext 		= trim($_POST['ktext']);
$kmail 		= trim($_POST['kmail']);
$kstrasse 	= trim($_POST['kstrasse']);
$kort 		= trim($_POST['kort']);
$ktel 		= trim($_POST['ktel']);
$kgrund 	= trim($_POST['kgrund']);
$ccode 		= $_POST['ccode'];
$fehlertext = " - Bitte überprüfen sie folgende Angaben: ";

//## Prüfung ###################################################################
if ($_POST['send'] == 1) {
    $formerror = 2;
    if ($kname == "") {
        $formerror = 1;
        $fehlertext = $fehlertext . " Name - ";
    }
    if (!checkEmail($kmail))  {
        $formerror = 1;
        $fehlertext = $fehlertext . " Email Adresse ungültig - ";
    }
    if ($ktext == "") {
        $formerror = 1;
        $fehlertext = $fehlertext . " Kein Text! - ";
    }
    if (($ccode == "") or ($ccode != $_SESSION['pcaptchacode'])) {
        $formerror = 1;
        $fehlertext = $fehlertext . " Sicherheitscode falsch! - ";
    }
}

//## Mail ######################################################################
if ($formerror == 2) {
mail($mailan, "WebKontakt", "Kontaktformular:

Grund: $kgrund
Name: $kname
Strasse: $kstrasse
PLZ Ort: $kort

E-Mail: $kmail
Telefon: $ktel

Info:
$ktext
","From: $kname <$kmail>\nContent-Type:text/plain");

//## Antwort ###################################################################
echo "<center><br>Vielen Dank für ihre Anfrage, wir werden diese schnellstmöglich bearbeiten.</center>";

//## Reset #####################################################################
$_SESSION['pcaptchacode'] = '';
exit();
}
//## Formular ##################################################################
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" type="text/css" href="style.css" />
	<title>Kontakt</title>
</head>
<body>
<form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
<input TYPE="hidden" NAME="send" value="1">
<?php if ($formerror == 1) { ?>
	<h2>Fehlerhafte Eingaben</h2>
	<b><?php echo $fehlertext; ?></b>
<?php } ?>

<h2>Kontakt</h2>
<legend>Name*</legend>
   <input type="text" name="kname" maxlength="50" size="40" value="<?php echo $kname; ?>">

<legend>Straße</legend>
   <input type="text" name="kstrasse" maxlength="60" size="40" value="<?php echo $kstrasse; ?>">
<legend>PLZ / Ort</legend>
   <input type="text" name="kort" maxlength="80 size="60" value="<?php echo $kort; ?>">

<legend>Kontakt Grund</legend>
   	<select name="kgrund">
    	<option>artus</option>
    	<option>brutus</option>
    	<option>caesar</option>
    	<option>david</option>
    	<option>emil</option>
    	<option>faust</option>
    	<option selected><?php echo $kgrund; ?></option>
   </select>

<legend>E-Mail Adresse*</legend>
    <input type="text" name="kmail" maxlength="80" size="40" value="<?php echo $kmail; ?>">

<legend>Telefon</legend>
    <input type="text" name="ktel" maxlength="80" size="40" value="<?php echo $ktel; ?>">

<legend>Nachricht</legend>
   <textarea  style="width:100%" name="ktext" rows="5"><?php echo $ktext; ?></textarea>

<legend>Sicherheitscode</legend>
   	<img src="./captcha.php" border="1" alt="captcha" title="Code Sicherheitsgrafik"><br />
    <input type="text" name="ccode" size="10">
    Bitte geben sie zur &Uuml;berpr&uuml;fung den angezeigten Code ein.
	<br /> <br />

	<INPUT TYPE="submit" VALUE="Absenden" >

</form>
* Pflichteingaben

</body>
</html>
<?php
	//end
?>